export declare type ConnectionData = {
    nodeId: number;
    data: any;
};
export declare type InputConnectionData = ConnectionData & {
    outputKey: string;
};
export declare type OutputConnectionData = ConnectionData & {
    inputKey: string;
};
export declare type InputData = {
    connections: InputConnectionData[];
};
export declare type InputDataJSON = InputData;
export declare type OutputData = {
    connections: OutputConnectionData[];
};
export declare type OutputDataJSON = OutputData;
export declare type InputsData = Map<string, InputData>;
export declare type InputsDataJSON = {
    [key: string]: InputData;
};
export declare type OutputsData = Map<string, OutputData>;
export declare type OutputsDataJSON = {
    [key: string]: OutputData;
};
export declare type NodeData = {
    id: number;
    name: string;
    data: Map<string, any>;
    inputs: InputsData;
    outputs: OutputsData;
    position: [number, number];
};
export declare type NodeDataJSON = {
    id: number;
    name: string;
    data: {
        [key: string]: any;
    };
    inputs: InputsDataJSON;
    outputs: OutputsDataJSON;
    position: [number, number];
};
export declare type NodesData = Map<NodeData['id'], NodeData>;
export declare type NodesDataJSON = {
    [key in NodeData['id']]: NodeDataJSON;
};
export declare type EngineData = {
    id: string;
    nodes: NodesData;
};
export declare type EngineDataJSON = {
    id: string;
    nodes: NodesDataJSON;
};
export declare type WorkerInputs = Map<string, any[]>;
export declare type WorkerOutputs = Map<string, any>;
