"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
class Validator {
    static isValidId(id) {
        return /^[\w-]{3,}@[0-9]+\.[0-9]+\.[0-9]+$/.test(id);
    }
    static isValidData(data) {
        return typeof data.id === 'string'
            && this.isValidId(data.id)
            && data.nodes instanceof Map;
    }
    static validate(id, data) {
        if (!this.isValidData(data)) {
            return { success: false, error: errors_1.EngineError.InvalidEngineData };
        }
        if (id !== data.id) {
            return { success: false, error: errors_1.EngineError.EngineDataIDsUnequal };
        }
        return { success: true, error: undefined };
    }
}
exports.Validator = Validator;
//# sourceMappingURL=validator.js.map